GDB (xrefs)

Classes | Typedefs | Functions
/tmp/gdb-8.1/gdb/gdb-dlfcn.h File Reference

Go to the source code of this file.

## Classes
struct | dlclose_deleter

## Typedefs
typedef std::unique_ptr< void, dlclose_deleter > | gdb_dlhandle_up

## Functions
gdb_dlhandle_up | gdb_dlopen (const char *filename)
void * | gdb_dlsym (const gdb_dlhandle_up &handle, const char *symbol)
int | is_dl_available (void)

## Typedef Documentation

## ◆ gdb_dlhandle_up

typedef std::unique_ptr<void, dlclose_deleter> gdb_dlhandle_up

Definition at line 32 of file gdb-dlfcn.h.

## Function Documentation

## ◆ gdb_dlopen()

gdb_dlhandle_up gdb_dlopen | ( | const char * | filename | ) |

Definition at line 61 of file gdb-dlfcn.c.

References _, and error().

Referenced by jit_reader_load(), and load_libcc().

## ◆ gdb_dlsym()

void* gdb_dlsym | ( | const gdb_dlhandle_up & | handle,
|  | const char * | symbol
| ) |  |

Definition at line 93 of file gdb-dlfcn.c.

References symbol.

Referenced by jit_reader_load(), and load_libcc().

## ◆ is_dl_available()

int is_dl_available | ( | void |  | ) |

Definition at line 113 of file gdb-dlfcn.c.

Referenced by _initialize_jit().